<?php
declare(strict_types=1);

namespace DesignModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * Design Entity
 *
 * @property int $id
 * @property string $pageHeader
 * @property string $pageSidebar
 * @property string $pageSidebarGradient
 * @property string $navTitle
 * @property string $navMenu
 * @property string $navMenuHover
 * @property string $navLink
 * @property string $navLinkHover
 * @property string $pageContent
 * @property string $pageContentWrapper
 * @property string $panelHdr
 * @property string $panel
 * @property string $breadcrumbNonLinks
 * @property string $breadcrumbLinks
 * @property string $tableBase
 * @property string $tableBaseFont
 * @property string $tableBorder
 * @property string $tableHover
 * @property string $tableHoverFont
 * @property string $btnDefault
 * @property string $btnDefaultFont
 * @property string $btnDefaultBorder
 * @property string $cardBase
 * @property string $cardBaseFont
 * @property string $cardHeader
 * @property string $cardHeaderFont
 * @property string $navTab
 * @property int $logoInHeader
 * @property string $customcsstext
 */
class Design extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true
    ];
}
