<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class CustomStyle
 *
 * Created:
 * oitc migrations create -p DesignModule CustomStyle
 *
 * Usage:
 * openitcockpit-update
 */
class CustomStyle extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {
        $this->table('designs')
            ->addColumn('customcsstext', 'text', [
                'default' => null,
                'limit'   => \Phinx\Db\Adapter\MysqlAdapter::TEXT_REGULAR,
                'null'    => true,

            ])
            ->update();
    }
}
