<?php
/*
    _____          _                     _____ _         _         __ _ _
   / ____|        | |                   / ____| |       | |       / _(_) |
  | |    _   _ ___| |_ ___  _ __ ___   | (___ | |_ _   _| | ___  | |_ _| | ___
  | |   | | | / __| __/ _ \| '_ ` _ \   \___ \| __| | | | |/ _ \ |  _| | |/ _ \
  | |___| |_| \__ \ || (_) | | | | | |  ____) | |_| |_| | |  __/ | | | | |  __/
   \_____\__,_|___/\__\___/|_| |_| |_| |_____/ \__|\__, |_|\___| |_| |_|_|\___|
                                                    __/ |
                                                   |___/
*/
$content = '
.page-header {
    background-color:' . $design['pageHeader'] . ';
}

.header-logo {
    display: ' . ($design['logoInHeader'] == 1 ? 'block' : 'none') . ';
}

.header-btn{
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.page-sidebar, .page-logo, .nav-footer{
    background-image: linear-gradient(270deg, ' . $design['pageSidebar'] . ', ' . (($design['pageSidebarGradient']) ? $design['pageSidebarGradient'] : $design['pageSidebar']) . ');
}

.nav-title{
    color: ' . $design['navTitle'] . ';
}

.nav-menu li a,  .nav-menu li i{
    color: ' . $design['navMenu'] . ';
}

.nav-menu li a:hover,  .nav-menu li i:hover{
    color: ' . $design['navMenuHover'] . ';
}

.nav-link:not([class^="btn-"]):not([class*=" btn-"]){
    color: ' . $design['navLink'] . ';
}

.nav-link.active:not(:hover){
    color: ' . $design['navLinkHover'] . ';
}

.nav-tabs .nav-link.active{
    background-color: ' . $design['navTab'] . ';
}

.nav-tabs .nav-item .nav-link.active:not(:hover){
    color: ' . $design['cardHeaderFont'] . ';
}

.page-content, .blockquote-footer{
    color: ' . $design['pageContent'] . ';
}

.page-content-wrapper{
    background-color: ' . $design['pageContentWrapper'] . ';
}

.panel-hdr{
    background-color: ' . $design['panelHdr'] . ';
}

.panel-hdr h2{
    color: ' . $design['cardHeaderFont'] . ';
}

.panel{
    background-color: ' . $design['panel'] . ';
    border-bottom: ' . $design['panel'] . ';
}

.frame-wrap{
   background-color: ' . $design['panel'] . ';
}

.breadcrumb-item{
    color: ' . $design['breadcrumbNonLinks'] . ';
}

.breadcrumb-item > a{
    color: ' . $design['breadcrumbLinks'] . ';
}

ol.breadcrumb-seperator-1 {
    color: ' . $design['breadcrumbNonLinks'] . ';
     background-color: ' . $design['btnDefault'] . ';
}

.page-breadcrumb{
    text-shadow: none;
}

.table{
    background-color: ' . $design['tableBase'] . ';
    color: ' . $design['tableBaseFont'] . ';
}

.table td > a > i{
    color: ' . $design['tableBaseFont'] . ';
}

.table-bordered, .table-bordered th, .table-bordered td, .table thead th{
    border-color: ' . $design['tableBorder'] . ';
}

.table th, .table td{
    border-top-color: ' . $design['tableBorder'] . ';
}

.btn-group .btn:not([class*="btn-outline-"]):not(.btn-icon):not(.btn-light){
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.btn-group > a.btn-default, .btn-group > button.btn-default {
    background-color: ' . $design['btnDefault'] . ';
    background-image: linear-gradient(to top, ' . $design['btnDefault'] . ', ' . $design['btnDefault'] . ');
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.btn-default[back-button], button.btn-default{
    background-image: linear-gradient(to top, ' . $design['btnDefault'] . ', ' . $design['btnDefault'] . ');
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

td > button.btn-default{
    background-image: linear-gradient(to top, ' . $design['btnDefault'] . ', ' . $design['btnDefault'] . ');
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.form-control{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.form-control:focus{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
}

.form-control:disabled, .form-control[readonly]{
    color: ' . $design['btnDefaultFont'] . ';
    background-color: ' . $design['btnDefault'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.chosen-container-single .chosen-single, .chosen-container-single .chosen-single div{
    background-color: ' . $design['btnDefault'] . '!important;
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.chosen-container-multi .chosen-choices{
    background-color: ' . $design['btnDefault'] . '!important;
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.chosen-container .chosen-drop{
    background-color: ' . $design['btnDefault'] . '!important;
    color: ' . $design['btnDefaultFont'] . ';
}

.chosen-container-single .chosen-search input[type="text"]{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.chosen-container-single .chosen-single:not(.chosen-single-with-deselect) div::after,
.chosen-container-single .chosen-single abbr{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
    box-shadow:none;
}

.input-group-text{
    color: ' . $design['btnDefaultFont'] . ';
    background-color: ' . $design['btnDefault'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.bootstrap-tagsinput{
    color: ' . $design['btnDefaultFont'] . ';
    background-color: ' . $design['btnDefault'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.chosen-container-multi .chosen-choices .search-choice{
    color: ' . $design['btnDefaultFont'] . ';
    background-color: ' . $design['btnDefault'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.custom-control-label::before{
    background-color: ' . $design['btnDefault'] . ';
}

ul.step-anchor{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
}

.fuelux .wizard {
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.fuelux .wizard ul li.active, .fuelux .wizard ul li{
    background-color: ' . $design['btnDefault'] . ';
    color: ' . $design['btnDefaultFont'] . ';
}

.fuelux .wizard ul li.active .chevron::before, .fuelux .wizard ul li .chevron::before,
.fuelux .wizard ul li.active .chevron, .fuelux .wizard ul li .chevron{
    border-left-color:' . $design['btnDefaultBorder'] . ';
}

.dropdown-menu, .dropdown-icon-menu > ul{
    color: ' . $design['btnDefaultFont'] . ';
    background-color: ' . $design['btnDefault'] . ';
}

.dropdown-item{
    color: ' . $design['btnDefaultFont'] . ';
}

.dropdown-item.active, .dropdown-item:active, .dropdown-item:hover, .dropdown-item:focus {
    ' . (!isset($design['tableHover']) ? '' : 'background-color: ' . $design['tableHover']) . '
}


service-browser-menu > div.row > div > div.pull-right button,
host-browser-menu > div.row > div > div.pull-right button,
service-browser-menu > div.row > div > div.pull-right a.btn-default,
host-browser-menu > div.row > div > div.pull-right a.btn-default{
    background-image: linear-gradient(to top, ' . $design['btnDefault'] . ', ' . $design['btnDefault'] . ');
    color: ' . $design['btnDefaultFont'] . ';
}

.card, .grafana-row{
    background-color: ' . $design['cardBase'] . ';
    color: ' . $design['cardBaseFont'] . ';
}

.card-header{
    background-color: ' . $design['cardHeader'] . ';
    color: ' . $design['cardHeaderFont'] . ';
}

.card-body, .grafana-panel{
    background-color: ' . $design['cardBase'] . ';
}

.modal-header{
    background-color: ' . $design['cardHeader'] . ';
    color: ' . $design['cardHeaderFont'] . ';
}

.modal-title{
    color: ' . $design['cardHeaderFont'] . ';
}

.modal-content{
    background-color: ' . $design['cardBase'] . ';
    color: ' . $design['cardBaseFont'] . ';
}

.modal-body{
    background-color: ' . $design['cardBase'] . ';
}

.service_table_host_header a{
    color: ' . $design['pageContent'] . ' !important;
}

.dd-handle{
    color: ' . $design['pageContent'] . ';
    border-color: ' . $design['btnDefaultBorder'] . ';
}

.notification-title, .notification-message{
    color: ' . $design['pageContent'] . ';
}

.table-hover tbody tr:hover {
    ' . (!isset($design['tableHover']) ? '' : 'background-color: ' . $design['tableHover'] . '!important; ') . '
    ' . (!isset($design['tableHoverFont']) ? '' : 'color: ' . $design['tableHoverFont'] . '!important;') . '
}


.popup-graph-container {
    background-color: ' . $design['tableBase'] . ';
    color: ' . $design['tableBaseFont'] . ';
}

.popup-tooltip-container {
    background-color: ' . $design['tableBase'] . ';
    color: ' . $design['tableBaseFont'] . ';
}

.popup-tooltip-container .popover-body {
    color: ' . $design['tableBaseFont'] . ';
}

/* Custom CSS - do all static changes above */

'.$design['customcsstext']. '

';

return $content;
